View unanswered posts | View active topics



Reply to topic  [ 138 posts ]  Go to page Previous  1 ... 5, 6, 7, 8, 9, 10  Next
[FD3][FD4] ExportProject (Publish, Document, Merge, Archive) 
Author Message
Member

Joined: Wed Jun 20, 2007 8:09 am
Posts: 331
Reply with quote
That's the variable.
@Philippe, Mika: I think we need a central util function which matches the internal version enumeration in FD with the corresponding path part (MovieOptions.Version = 11 -> path = "10.1")

_________________
Practice always defeats theory


Fri Sep 10, 2010 8:06 am
Profile WWW
Admin

Joined: Wed Aug 31, 2005 7:27 am
Posts: 12172
Location: London
Reply with quote
FD internally needs to be modified so we don't rely on some cheap hacks like that (v11 for v10.1).


Fri Sep 10, 2010 9:58 am
Profile WWW
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
ExportProject has been updated for FD4. If you run into issues or have suggestions, please feel free to let me know!

ExportProject (FD4).fdz


Last edited by elyon on Wed Jan 19, 2011 7:13 pm, edited 1 time in total.



Wed Jan 12, 2011 3:25 pm
Profile WWW
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Hi everyone!

ExportProject has just been updated again. This time I've fixed compatibility with ASDoc, so you should be able to create documentation using the newer versions of the Flex SDK.

I also added an "Ignore Package Names" option, so you can ignore packages which either cause trouble when documenting (like the latest revision of Box2D) or that are simply unneeded in your documentation.

Enjoy!


Wed Jan 19, 2011 7:13 pm
Profile WWW
Member

Joined: Tue Nov 09, 2010 7:15 pm
Posts: 14
Reply with quote
dbuzz wrote:
When I compile the ASDoc using latest "Hero" SDK and 10.1 FP target I get an error:

Loading configuration file C:\app\sdks\flex\4.5.0.17077\frameworks\flex-config.xml
Adobe ASDoc
Version 4.5.0 build 17077
Copyright (c) 2004-2007 Adobe Systems, Inc. All rights reserved.
C:\app\sdks\flex\4.5.0.17077\frameworks\flex-config.xml(74): Error: unable to open 'libs/player/11.1'

</library-path>

Done (1)

FP 10 Target compiles just fine.


I'm getting this same error, except mine is looking for 'libs/player/11.0'. I installed the latest version for FD3; downloaded it this morning. Was this error verified to have been fixed in the latest build?
Nice plugin by the way :)


Fri Jan 21, 2011 3:05 pm
Profile
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Hey leejk,

Ah, yeah, I forgot about this. I haven't been using Flash 10.1 or 10.2, so I'm not running into this problem.

It appears to be the way that FlashDevelop handles versions. Here's the code I'm using to tell it which target player to use:

Code:
compilerArguments += " -target-player=" + (project as AS3Project).MovieOptions.Version;


I guess FlashDevelop handles Flash 10.1 as version 11.

Philippe (or anyone else who knows), has this been changed in FD4, or is there another value I can access to get the right version? I'd prefer not to hard-code an "if" statement to handle these versions.

Hopefully we'll get this sorted out soon


Fri Jan 21, 2011 6:14 pm
Profile WWW
Admin

Joined: Wed Aug 31, 2005 7:27 am
Posts: 12172
Location: London
Reply with quote
In FD4, no more "version 11" hack, MovieOptions have additional properties:
- MajorVersion (ie. 10)
- MinorVersion (ie. 1)
- Version (ie "10.1")

Also note that for AIR projects, this version is AIR's version (ie. 2/0/"2.0").


Fri Jan 21, 2011 6:53 pm
Profile WWW
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Okay, perfect!

So it sounds like my code should work just fine in FD4. I suppose, leejk, that you're using FD3?


Sat Jan 22, 2011 12:09 am
Profile WWW
Member

Joined: Tue Nov 09, 2010 7:15 pm
Posts: 14
Reply with quote
elyon wrote:
Okay, perfect!

So it sounds like my code should work just fine in FD4. I suppose, leejk, that you're using FD3?


Yes, still using FD3. I keep hearing FD4 mentioned but I assume it is still alpha or something, as I have not seen any download links for it. So it sounds like there is no proper fix for FD3?
thx


Tue Jan 25, 2011 1:15 pm
Profile
Member

Joined: Tue Mar 22, 2011 2:46 pm
Posts: 1
Reply with quote
Hi... I have a project and would love to export documentation but after the project builds i get

documentation started.
documentation failed.

It does not give us any indication of what went wrong.
we are using a number of swc files, but from the forum it says that should be fine.
we have our class paths set correctly.

we're using dawn dependency injection so have a number of functions with meta data in them
eg.

[Inject(name="lobby")]
public function set lobbyLoader(lobbyLoader:SWFLoader):void { _lobbyLoader = lobbyLoader; }

would this cause a problem for the documenting tool?
we're using FD 3.3.2

any ideas would be greatly appreciated.

thanks
hamish


Tue Mar 22, 2011 2:54 pm
Profile
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Hey hamish,

There are some changes to ASDoc in later versions of the Flex SDK which broke compatibility with ExportProject, that I fixed up and compiled for the FD4 version of the plugin. I have not set things up on my computer to be able to compile the plugin for FD3 right now, but (theoretically) if the Flex SDK can compile your SWF, you should be able to get documentation using ExportProject.

Could you try to install a copy of FD4 with ExportProject, then give it a try with your project?


Wed Mar 23, 2011 4:11 pm
Profile WWW
Member

Joined: Tue Apr 05, 2011 8:07 pm
Posts: 33
Reply with quote
helo, I downloaded last fd4 version of plugin, but I have monit: "Unable to load an incompatypile plugin ExoirtProject.dll".
I have fd4 beta. This is normal ?


Fri Jul 15, 2011 8:13 am
Profile
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Hmm. Perhaps some things have changed in FD4 since the last time I compiled the plugin.

Sorry! I'll try and do this soon, I hope. I don't have Visual Studio C# installed


Sat Jul 16, 2011 6:29 pm
Profile WWW
Member

Joined: Sun Jun 28, 2009 3:51 pm
Posts: 34
Reply with quote
Guys, could you give me a hint on how to install this plug-in for FD4?
I used it a lot with FD<3 and it was awesome.

Now I try both ExportProject.fdz and ExportProject (FD4).fdz, and both don't work.
Double click doesn't do anything.

And when I unpack them manually and drop dll's to "Plugins" folder, FD says «uncompatible plugin» on start.

What's the matter?

Thanks in advance


Fri Jul 29, 2011 11:42 pm
Profile
Member

Joined: Fri Feb 18, 2011 10:20 pm
Posts: 42
Reply with quote
momijigari, we have to wait while elyon will compile plugin for the latest builds


Fri Aug 12, 2011 5:42 pm
Profile
Display posts from previous:  Sort by  
Reply to topic   [ 138 posts ]  Go to page Previous  1 ... 5, 6, 7, 8, 9, 10  Next

Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.